import type { UmbMemberCreateOptionsModalData, UmbMemberCreateOptionsModalValue } from './member-create-options-modal.token.js';
import { UmbModalBaseElement } from '../../../../core/modal/index.js';
export declare class UmbMemberCreateOptionsModalElement extends UmbModalBaseElement<UmbMemberCreateOptionsModalData, UmbMemberCreateOptionsModalValue> {
    #private;
    private _options;
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbMemberCreateOptionsModalElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-member-create-options-modal': UmbMemberCreateOptionsModalElement;
    }
}
